SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001112SiT!calendarpublic2010-03-01 14:042011-02-14 13:18
Reporterivan 
Assigned Toivan 
PrioritynormalSeverityblockReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001112: Move timesheet feature to Project Plugin
DescriptionSince the timesheet feature is a bit buggy, hard to find and little used at the moment, we should move this into the Project Plugin so that development can continue on the timesheet without causing problems with the 3.60 LTS.
TagsNo tags attached.
Attached Files

- Relationships
child of 0001061confirmed Dependency issues in .deb package 
child of 0000488resolvedivan Timesheet uses dojo 

-  Notes
User avatar (0002564)
ivan (administrator)
2010-03-01 14:05

This allows us to drop Dojo for the core too, dojo could move into the plugin
User avatar (0002567)
ivan (administrator)
2010-03-01 15:38

I have reservations about letting this be targeted for 3.60, everybody please comment below with your thoughts about it.
User avatar (0002568)
kieran (administrator)
2010-03-01 17:46

Can't see any point in doing this for 3.60 IMO, will have to port it over manually which is a pain and it's not doing any harm as is.
User avatar (0002569)
ivan (administrator)
2010-03-01 17:50

The big motivation is that it would allow us to remove Dojo 0.43 out of our core. That old version of Dojo that we use causes debian packaging problems.
User avatar (0002570)
paulh (administrator)
2010-03-01 19:20

There are pros and cons to moving time tables out

PROS
Allows removal of dojo from core
Removes some buggy code from the core of the LTS
Improves packagability as we don't depend on an arcane version of dojo
Removes reliance on a 2 year old code base (dojo) which could have security/supportability issues long term

CONS
A reasonably significant change in a bug fix release

Overall I'm leaning towards a yes on this
User avatar (0002615)
ivan (administrator)
2010-03-06 20:01

Started a new branch in branches/plugins/project3 for project plugin + timesheet.

There are useful translations in 3.x branch r6206 and prior that could be used in project3 but these aren't ported yet.
User avatar (0002616)
ivan (administrator)
2010-03-06 20:45

After looking at this in detail, the timesheet code is too interweaved within SiT! for it to be removed without any risk of affecting stability. On balance I think it best to leave it in SiT! 3.x marked as experimental, and move it out to the plugin for 4.x
User avatar (0002636)
ivan (administrator)
2010-03-10 21:13

Removed in Git for 4.0
http://gitorious.org/sit/sit/commit/a33d1359a954e5efa0fab14b2c0a027c2054355b [^]

Added to svn branches/plugins/project3 (but not integrated yet)

- Issue History
Date Modified Username Field Change
2010-03-01 14:04 ivan New Issue
2010-03-01 14:05 ivan Note Added: 0002564
2010-03-01 14:06 ivan Relationship added child of 0001061
2010-03-01 15:38 ivan Note Added: 0002567
2010-03-01 17:46 kieran Note Added: 0002568
2010-03-01 17:50 ivan Note Added: 0002569
2010-03-01 19:20 paulh Note Added: 0002570
2010-03-06 19:28 ivan Status new => assigned
2010-03-06 19:28 ivan Assigned To => ivan
2010-03-06 20:01 ivan Note Added: 0002615
2010-03-06 20:45 ivan Note Added: 0002616
2010-03-06 20:46 ivan Target Version 3.60 LTS => 4.0
2010-03-10 18:11 ivan Relationship added child of 0000488
2010-03-10 21:13 ivan Note Added: 0002636
2010-03-10 21:13 ivan Status assigned => resolved
2010-03-10 21:13 ivan Fixed in Version => Current GIT
2010-03-10 21:13 ivan Resolution open => fixed
2011-02-14 13:18 ivan Fixed in Version Current GIT => 3.90beta1
2011-02-14 13:18 ivan Fixed in Version 3.90beta1 => Current GIT
2011-02-14 13:18 ivan Target Version 4.0 => 3.90beta1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker